Difference between revisions of "Draft Line/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "Una polilinea può anche essere creata da una singola linea aggiungendo un altro punto ovunque lungo la sua lunghezza. Per fare ciò, premere il pulsante {{Button|Image:Draf...")
(44 intermediate revisions by 2 users not shown)
Line 2: Line 2:
 
{{Docnav/it||[[Draft_Wire/it|Polilinea]]|[[Draft_Module/it|Draft]]|IconC=Workbench_Draft.svg|IconR=Draft_Wire.svg}}
 
{{Docnav/it||[[Draft_Wire/it|Polilinea]]|[[Draft_Module/it|Draft]]|IconC=Workbench_Draft.svg|IconR=Draft_Wire.svg}}
  
{{GuiCommand/it|Name=Draft Line|Name/it=Linea|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Linea|Shortcut=L I|SeeAlso=[[Draft Wire/it|DWire]], [[Draft Point/it|Punto]]
+
{{GuiCommand/it|Name=Draft_Line|Name/it=Linea|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Linea|Shortcut={{KEY|L}} {{KEY|I}}|SeeAlso=[[Draft Wire/it|DWire]], [[Draft Point/it|Punto]]
 
|Version=0.7}}
 
|Version=0.7}}
  
==Descrizione==
+
==Descrizione==  
Crea un segmento tra due punti nel [[Draft SelectPlane/it|piano di lavoro]] corrente. Il segmento assume [[Draft Linestyle/it|il tipo di linea e il colore]] impostati in precedenza nella Barra dei comandi  [[Draft Tray/it|Draft Tray]]. Lo strumento Linea si comporta esattamente come lo strumento [[Draft Wire/it|DWire]] di Draft, tranne che si disattiva dopo che sono stati definiti due punti.
+
 
 +
Crea un segmento tra due punti nel [[Draft SelectPlane/it|piano di lavoro]] corrente. Il segmento assume [[Draft Linestyle/it|il tipo di linea e il colore]] impostati in precedenza nella [[Draft Tray/it|barra di Draft]]. Lo strumento Linea si comporta esattamente come lo strumento [[Draft Wire/it|DWire]] di Draft, tranne che si disattiva dopo che sono stati definiti due punti.
  
 
[[Image:Draft_Line_example.jpg|400px]]
 
[[Image:Draft_Line_example.jpg|400px]]
 
{{Caption|Linea creata da due punti}}
 
{{Caption|Linea creata da due punti}}
  
=== Utilizzo ===
+
==Utilizzo==  
  
 
# Premere il pulsante {{Button|[[Image:Draft Line.svg|16px]] [[Draft Line/it|Linea]]}} o premere i tasti {{KEY|L}} e {{KEY|I}}
 
# Premere il pulsante {{Button|[[Image:Draft Line.svg|16px]] [[Draft Line/it|Linea]]}} o premere i tasti {{KEY|L}} e {{KEY|I}}
# Fare clic su un primo punto nella vista 3D, o digitare le sue [[Draft_Coordinates/it|coordinate ]] e premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|aggiungi punto]]}}.
+
# Fare clic su un primo punto nella vista 3D, o digitare le sue [[Draft_Coordinates/it|coordinate ]] e poi premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}}.
# Fare clic su un secondo punto nella vista 3D, o digitare le sue coordinate e premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|aggiungi punto]]}}.
+
# Fare clic su un secondo punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}}.
  
La linea può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit/it|Modifica]]}}. Quindi si può spostare il punto centrale in una nuova posizione.
+
La linea può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit/it|Modifica]]}}. Quindi si possono spostare i punti in una nuova posizione.
  
 
===Unire le singole linee===
 
===Unire le singole linee===
Se sono selezionate più [[Draft Line/it|linee]] collegati, esse possono essere fuse in una polilinea premendo lo strumento {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}}, ma questa polilinea non sarà modificabile. Per creare una polilinea modificabile, usare {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}} altre tre volte sulle nuove forme (contorno, contorno chiuso, faccia). Si possono anche fondere le linee originali con lo strumento {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire/it|Polilinea]]}}.
+
Se sono selezionate più [[Draft Line/it|linee]] collegate, esse possono essere fuse in una polilinea premendo lo strumento {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}}, ma questa polilinea non sarà modificabile.<br>
 +
Per creare una polilinea modificabile, usare {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}} altre tre volte sulle nuove forme (contorno, contorno chiuso, faccia). Si possono anche fondere le linee originali con lo strumento {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire/it|Polilinea]]}}.
  
Una polilinea può anche essere creata da una singola linea aggiungendo un altro punto ovunque lungo la sua lunghezza. Per fare ciò, premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|aggiungi punto]]}}, e fare clic in qualsiasi punto della linea.
+
Una polilinea può anche essere creata da una singola linea aggiungendo un altro punto ovunque lungo la sua lunghezza. Per fare ciò, premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}}, e fare clic in qualsiasi punto della linea.
  
<div class="mw-translate-fuzzy">
+
==Opzioni==
=== Opzioni ===
+
* Premere {{KEY|X}}, o {{KEY|Y}}, o {{KEY|Z}} dopo il primo punto per vincolare il secondo punto su un dato asse.
 +
* Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere {{KEY|Invio}} tra ciascun componente X, Y e Z.
 +
** Si possono anche definire le coordinate polari del punto dando un valore a "Lunghezza" e "Angolo". Fare clic sulla casella accanto a "Angolo" per vincolare il puntatore all'angolo specificato.
 +
** È possibile premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|inserisci punto]]}} quando si hanno i valori desiderati per inserire il punto.
 +
* Premere il tasto {{KEY|R}} oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
 +
* Premere il tasto {{KEY|T}} oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Linea si riavvia dopo aver terminato la linea in costruzione, e consente di disegnarne una nuova linea senza premere nuovamente il pulsante dello strumento
 +
* Tenere premuto {{KEY|Ctrl}} mentre si disegna per forzare [[Draft_Snap|l'aggancio]] del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
 +
* Tenere premuto {{KEY|Maiusc}} mentre si disegna per [[Draft_Constrain|vincolare]] il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
 +
* Premere i tasti {{KEY|Ctrl}}+{{KEY|Z}} o premere il pulsante {{button|[[Image:Draft UndoLine.svg|12px]] [[Draft_UndoLine/it|Undo]]}} per annullare l'ultimo punto.
 +
* Premere il tasto {{KEY|Esc}} o il pulsante {{button|Chiudi}} per interrompere il comando corrente.
  
* Premere {{KEY/it|X}}, {{KEY/it|Y}} o {{KEY/it|Z}} e muovere il puntatore nell'area grafica dopo il primo punto per vincolare il secondo punto su uno specifico asse. In questo caso rimane attivo solo il campo corrispondente all'asse selezionato e in esso è mostrata la posizione corrente del cursore.
+
==Proprietà==
* Per inserire le coordinate manualmente, è sufficiente inserire il loro valore, poi premere {{KEY/it|Invio}} per ogni componente X, Y e Z. In questo caso è bene tenere il puntatore del mouse fuori dall'area di lavoro in quanto un suo movimento accidentale cattura e inserisce nel campo di input le coordinate a cui si trova e costringe a ripetere l'inserimento.
+
Un oggetto Linea condivide tutte le proprietà di una [[Image:Draft_Wire.svg|16px]] [[Draft Wire/it|Polilinea]], tuttavia solo alcune di queste proprietà sono applicabili alla Linee.
* Premere {{KEY/it|R}} oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità {{KEY/it|Relativo}}. In modalità '''Relativo''', le coordinate del secondo punto sono relative al primo. In caso contrario, sono assolute, a partire dal punto di origine (0,0,0).
 
* Premere {{KEY/it|T}} oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità {{KEY/it|Continua}}. In modalità '''Continua''', al termine dell'operazione, lo strumento Linea si riavvia automaticamente e permette di disegnare un nuovo segmento senza dover ripetere il comando. I diversi segmenti costruiti in questo modo sono oggetti indipendenti, a differenza di quelli costruiti con DWire che sono invece parte di una unica polilinea.
 
* Premere {{KEY/it|Ctrl}} mentre si disegna per [[Draft_Snap/it|ancorare]] il proprio punto al punto agganciabile più vicino, indipendentemente dalla distanza.
 
* Premere {{KEY/it|Maiusc}} mentre si disegna per [[Draft_Constrain/it|vincolare]] orizzontalmente o verticalmente il secondo punto rispetto al primo.
 
* Premere {{KEY/it|Ctrl}}+{{KEY/it|Z}} o premere il pulsante {{KEY|[[Image:Draft UndoLine.png|12px]] Annulla}} per annullare l'ultimo punto inserito. Questa opzione permette di annullare a ritroso tutti punti inseriti.
 
* Premere {{KEY/it|Esc}} o premere il pulsante {{KEY/it|Cancella}} per uscire dal comando Linea attivo.
 
* Se sono selezionate diverse [[Draft Line/it|Linee Draft]] connesse, esse possono essere trasformate in una unica polilinea premendo il pulsante '''Promuovi'''.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
===Dati===
=== Proprietà ===
+
* {{PropertyData|Start}}: specifica il punto di partenza.
==== Vista ====
+
* {{PropertyData|End}}: specifica il punto finale.
Sono disponibili le [[DraftStandardProperty/it|Proprietà standard]] di visualizzazione.
+
* {{PropertyData|Subdivisions}}: specifica il numero di nodi interni nella linea. {{version/it|0.16}}
==== Dati ====
+
* {{PropertyData|Length}}: (sola lettura) specifica la lunghezza del segmento.
{|
 
| [[File:DraftLineOptions_it.png]]
 
|
 
{{KEY/it|2D}}<br />
 
{{KEY/it|Base}}<br />
 
* {{ProprietaDati|Label}} : Nome dell'oggetto, modificabile a piacimento.
 
* {{ProprietaDati|Placement}} : Raggruppa tutti i dati di posizionamento relativi a Angle, Axis, e Position a cui si accede tramite il pulsante triangolare di espansione . Selezionando invece il titolo Placement, o i dati, appare un pulsante con tre puntini. Cliccare su {{KEY/it|''' ... '''}}  per accedere alla finestra delle opzioni di [[Tasks_Placement/it|Posizionamento]].
 
** {{ProprietaDati|Angle}} : Angolo di rotazione rispetto alle coordinate X, Y, Z.
 
** {{ProprietaDati|Axis}} : Seleziona l'asse, o gli assi, di rotazione X, Y, o Z. Per esempio, con un angolo impostato pari a 15°, specificando un valore di 1,0 per X, e di 2,0 per Y causa una rotazione finale del pezzo di 15° sull'asse X e di 30° sull'asse Y.
 
** {{ProprietaDati|Position}} : Posizione delle coordinate X, Y, Z, rispetto all'origine 0, 0, 0.
 
{{KEY/it|Draft}}<br />
 
* {{ProprietaDati|Base}} :
 
* {{ProprietaDati|Chamfer Size}} : Stabilisce lo smusso dei vertici di una spezzata.
 
* {{ProprietaDati|Closed}} : Determina se la Wire è aperta o chiusa.
 
* {{ProprietaDati|End}} : Riepilogo delle coordinate del punto di fine linea (ultimo punto). E' possibile espandere questa opzione per modificarne i parametri.
 
* {{ProprietaDati|Fillet Radius}} : Stabilisce il raggio per arrotondare i vertici di una spezzata.
 
* {{ProprietaDati|Start}} : Riepilogo delle coordinate di inizio linea (primo punto).
 
* {{PropertyData|Subdivisions}}: Divide la linea in un dato numero di suddivisioni {{version|0.16}}
 
|}
 
{{clear}}
 
</div>
 
  
===Data===
+
===Vista===
* {{PropertyData|Start}}: specifies the start point.
+
* {{PropertyView|End Arrow}}: se è {{TRUE}} verrà visualizzato un simbolo nell'ultimo punto della linea, quindi può essere usata come una linea di annotazione.
* {{PropertyData|End}}: specifies the end point.
+
* {{PropertyView|Arrow Size}}: specifica la dimensione del simbolo visualizzato alla fine della linea.
* {{PropertyData|Subdivisions}}: specifies the number of interior nodes in the line. {{version|0.16}}
+
* {{PropertyView|Arrow Type}}: specifica il tipo di simbolo visualizzato alla fine della linea, che può essere "Dot", "Circle", "Arrow", o "Tick" ("Punto", "Cerchio", "Freccia", o "Tratto").
* {{PropertyData|Length}}: (read-only) specifies the length of the segment.
 
  
===View===
+
== Script ==
* {{PropertyView|End Arrow}}: if it is {{TRUE}} it will display a symbol at the last point of the line, so it can be used as an annotation line.
+
{{Emphasis|Vedere anche:}} [[Draft API/it|Draft API]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
* {{PropertyView|Arrow Size}}: specifies the size of the symbol displayed at the end of the line.
 
* {{PropertyView|Arrow Type}}: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".
 
  
<div class="mw-translate-fuzzy">
+
Lo strumento Linea può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
=== Script ===
 
 
 
Lo strumento Linea può essere utilizzato nelle [[macros/it|macro]] e dalla [[FreeCAD_Scripting_Basics/it|console Python]] tramite la seguente funzione:
 
</div>
 
 
 
The Line tool can be used in [[macros]] and from the [[Python]] console by using the following function:
 
 
{{Code|code=
 
{{Code|code=
 
Line = makeLine(p1, p2)
 
Line = makeLine(p1, p2)
Line 89: Line 62:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
* Crea un oggetto {{incode|Line}} tra i punti {{incode|p1}} e {{incode|p2}}, ciascuno definito dal suo {{incode|FreeCAD.Vector}}, con unità in millimetri.
* Crea un oggetto <code>Linea</code> tra i punti <code>p1</code> e <code>p2</code>, ciascuno definito come un <code>FreeCAD.Vector</code>
+
* Crea un oggetto {{incode|Line}} da un {{incode|Part.LineSegment}}.
* Crea un oggetto <code>Linea</code> da un <code>Part.LineSegment</code>
+
* Crea un oggetto {{incode|Line}} dal primo vertice all'ultimo vertice della data {{incode|Shape}}.
* Crea un oggetto <code>Linea</code> dal primo vertice all'ultimo vertice della <code>Shape</code> data
 
* Usa lo [[Draft Linestyle/it|stile di linea]] corrente
 
</div>
 
  
 
Esempio:
 
Esempio:
 
{{Code|code=
 
{{Code|code=
import FreeCAD, Draft
+
import FreeCAD as App
 +
import Draft
  
p1 = FreeCAD.Vector(0, 0, 0)
+
_doc = App.newDocument()
p2 = FreeCAD.Vector(1000, 500, 0)
+
 
p3 = FreeCAD.Vector(-250, -500, 0)
+
p1 = App.Vector(0, 0, 0)
p4 = FreeCAD.Vector(500, 1000, 0)
+
p2 = App.Vector(1000, 500, 0)
 +
p3 = App.Vector(-250, -500, 0)
 +
p4 = App.Vector(500, 1000, 0)
  
 
Line1 = Draft.makeLine(p1, p2)
 
Line1 = Draft.makeLine(p1, p2)
 
Line2 = Draft.makeLine(p3, p4)
 
Line2 = Draft.makeLine(p3, p4)
 +
_doc.recompute()
 
}}
 
}}
  
 
{{Docnav/it||[[Draft_Wire/it|Polilinea]]|[[Draft_Module/it|Draft]]|IconC=Workbench_Draft.svg|IconR=Draft_Wire.svg}}
 
{{Docnav/it||[[Draft_Wire/it|Polilinea]]|[[Draft_Module/it|Draft]]|IconC=Workbench_Draft.svg|IconR=Draft_Wire.svg}}
  
{{Draft Tools navi/it}}
+
{{Draft Tools navi{{#translation:}}}}
 
+
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi/it}}
 
 
{{clear}}
 
{{clear}}

Revision as of 11:33, 22 August 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg

Draft Line.svg Linea

Posizione nel menu
Draft → Linea
Ambiente
Draft, Architettura
Avvio veloce
L I
Introdotto nella versione
0.7
Vedere anche
DWire, Punto

Descrizione

Crea un segmento tra due punti nel piano di lavoro corrente. Il segmento assume il tipo di linea e il colore impostati in precedenza nella barra di Draft. Lo strumento Linea si comporta esattamente come lo strumento DWire di Draft, tranne che si disattiva dopo che sono stati definiti due punti.

Draft Line example.jpg

Linea creata da due punti

Utilizzo

  1. Premere il pulsante Draft Line.svg Linea o premere i tasti L e I
  2. Fare clic su un primo punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg inserisci punto.
  3. Fare clic su un secondo punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg inserisci punto.

La linea può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si possono spostare i punti in una nuova posizione.

Unire le singole linee

Se sono selezionate più linee collegate, esse possono essere fuse in una polilinea premendo lo strumento Draft Upgrade.svg Upgrade, ma questa polilinea non sarà modificabile.
Per creare una polilinea modificabile, usare Draft Upgrade.svg Upgrade altre tre volte sulle nuove forme (contorno, contorno chiuso, faccia). Si possono anche fondere le linee originali con lo strumento Draft Wire.svg Polilinea.

Una polilinea può anche essere creata da una singola linea aggiungendo un altro punto ovunque lungo la sua lunghezza. Per fare ciò, premere il pulsante Draft AddPoint.svg inserisci punto, e fare clic in qualsiasi punto della linea.

Opzioni

  • Premere X, o Y, o Z dopo il primo punto per vincolare il secondo punto su un dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio tra ciascun componente X, Y e Z.
    • Si possono anche definire le coordinate polari del punto dando un valore a "Lunghezza" e "Angolo". Fare clic sulla casella accanto a "Angolo" per vincolare il puntatore all'angolo specificato.
    • È possibile premere il pulsante Draft AddPoint.svg inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Linea si riavvia dopo aver terminato la linea in costruzione, e consente di disegnarne una nuova linea senza premere nuovamente il pulsante dello strumento
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere i tasti Ctrl+Z o premere il pulsante Draft UndoLine.svg Undo per annullare l'ultimo punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

Un oggetto Linea condivide tutte le proprietà di una Draft Wire.svg Polilinea, tuttavia solo alcune di queste proprietà sono applicabili alla Linee.

Dati

  • DataStart: specifica il punto di partenza.
  • DataEnd: specifica il punto finale.
  • DataSubdivisions: specifica il numero di nodi interni nella linea. Disponibile dalla versione 0.16
  • DataLength: (sola lettura) specifica la lunghezza del segmento.

Vista

  • ViewEnd Arrow: se è true verrà visualizzato un simbolo nell'ultimo punto della linea, quindi può essere usata come una linea di annotazione.
  • ViewArrow Size: specifica la dimensione del simbolo visualizzato alla fine della linea.
  • ViewArrow Type: specifica il tipo di simbolo visualizzato alla fine della linea, che può essere "Dot", "Circle", "Arrow", o "Tick" ("Punto", "Cerchio", "Freccia", o "Tratto").

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Linea può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crea un oggetto Line tra i punti p1 e p2, ciascuno definito dal suo FreeCAD.Vector, con unità in millimetri.
  • Crea un oggetto Line da un Part.LineSegment.
  • Crea un oggetto Line dal primo vertice all'ultimo vertice della data Shape.

Esempio:

import FreeCAD as App
import Draft

_doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
_doc.recompute()
FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg